# Puzzle Glossary

Puzzle Labs is an AI content workflow engine. It lies at the intersection of people, processes, and technology used to improve teams’ content workflows. Teams get a 10x accelerating boost to their content operations processes by using Puzzle.

#### Recommended Install

```bash
npm install @puzzlelabs/puzzle-glossary-react
```

```js
import { HighlightWidget } from "@puzzlelabs/puzzle-glossary-react";
import '@puzzlelabs/puzzle-glossary/dist/puzzle-glossary/puzzle-glossary.css';

    <HighlightWidget
        apiKey="my api key"
        config={{
            puzzleBranding: false,
            shareSocialMedia: false,
            hasMarkAll: true,
            selectors: ['div.example', 'body', 'nav'],
            theme: {
                marker: {
                    //CSS Properties
                    color: '#b51235'
                    backgroundColor: '#b2d7ff',
                }
            }
            onCopy: (event: MouseEvent, conceptName: string) => {}
            onHover: (event: Event, conceptName: string) => {}
            onResourceClick: (event: MouseEvent, conceptName: string, resource: IResource) => {}
        }}
    />
```

Ignore Marker class: `puzzle-ignore`
